#!/bin/sh
# <BEGIN COPYRIGHT>
# This file is part of the "Bad Penguin" GNU/Linux distribution
# Copyright (C) 1997-98-99 by Antonio GALLO
# Home Page at ......: http://www.badpenguin.org
# Home Page at ......: http://www.linux.it/~agx/
# e-mail contact ....: mailto:agx@linux.it	mailto:agx@geocities.com
# This program is distributed under the GNU General Public License
# You are not allowed to remove the copyright notice
# <END COPYRIGHT>


# user_group.sh - User and group utility
# This is the main file of the UserManagement part 
# Initiated by AGX in Little Italy Linux 0.930
# ` is generate with ALT+96

# 1.0.0 by agx@linux.it 
# 1999-04-27, Version 1.0.0 by AGX

TEMPDIR="$HOME/tmp"
[ ! -d $TEMPDIR ] && mkdir -p $TEMPDIR
TEMPDATA=$TEMPDIR/tempdata.$$
trap 'rm -f $TEMPDATA ; exit $USCITA' 0


cd /usr/local/lib/agx-usermanager/

while [ 0 ]; do

  dialog \
    --backtitle "Bad Penguin - User and group manager by AGX" \
    --title "User and group utility " \
    --menu "Press ENTER to make your choose" 20 50 13 \
    "0" "GO BACK                             " \
    " " "" \
    "1" "Add a new user account              " \
    "2" "View and manage existing users      " \
    " " "" \
    " " "Add a new group                     " \
    " " "View and manage existing groups     " \
    " " "" \
    "5" "Check password and group file       " \
    "6" "  Fix password and group file       " \
    " " "" \
    "7" "Enable Shadow Password suite        " 2> $TEMPDATA
  REPLY=$?
  if [ $REPLY = 1 -o $REPLY = 255 ]; then
    break
  fi
  
  # Get user choice
  CHOICE="`cat $TEMPDATA`"

  # Check user choice
  case $CHOICE in
    0)
      break
      ;;
    1)
      ./user_new.sh
      ;;
    2)
      ./usermanager.sh
      ;;
    5)
      clear ; echoc GREEN "Checking ..."
      echo -e "\n[users]" > $TEMPDATA
      pwck -r >> $TEMPDATA
      echo -e "\n[groups]" >> $TEMPDATA
      grpck -r >> $TEMPDATA
      dialog --title "User and group checking"  --textbox "$TEMPDATA" 15 70
      ;;
    6)
      clear 
      echo ; echoc GREEN "Checking users ..."
      pwck
      echo ; echoc GREEN "Checking groups ..."
      grpck
      echo ; echoc GREEN "Check completed, press ENTER to continue." ; read x
      ;;
    7)
      clear 
      echo ; echoc GREEN "Running pwconv ..."
      pwconv
      echo ; echoc GREEN "Running grpcon ..."
      grpconv
      echo ; echoc GREEN "Conversion completed, press ENTER to continue." ; read x
      ;;

  esac
done
